List campaigns
Your SMS campaigns with totals and cost.
Scope: sms:read.
GET
/
sms
/
campaigns
List campaigns
curl --request GET \
--url https://app.telaven.com/api/v1/sms/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.telaven.com/api/v1/sms/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.telaven.com/api/v1/sms/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.telaven.com/api/v1/sms/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://app.telaven.com/api/v1/sms/campaigns");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"success": true,
"data": [
{
"id": "6f1c…",
"name": "November offer",
"status": "completed",
"totalRecipients": 1200,
"totalSent": 1196,
"totalDelivered": 1150,
"totalFailed": 4,
"totalCost": 1076.4,
"createdAt": "2026-11-12T09:00:00.000Z"
}
],
"stats": {
"totalCampaigns": 14,
"totalSent": 9820,
"totalDelivered": 9410,
"totalCost": 8838,
"deliveryRate": 96
},
"pagination": {
"page": 1,
"limit": 20,
"total": 14,
"totalPages": 1
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Query Parameters
Response
Success
⌘I
List campaigns
curl --request GET \
--url https://app.telaven.com/api/v1/sms/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.telaven.com/api/v1/sms/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.telaven.com/api/v1/sms/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.telaven.com/api/v1/sms/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://app.telaven.com/api/v1/sms/campaigns");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"success": true,
"data": [
{
"id": "6f1c…",
"name": "November offer",
"status": "completed",
"totalRecipients": 1200,
"totalSent": 1196,
"totalDelivered": 1150,
"totalFailed": 4,
"totalCost": 1076.4,
"createdAt": "2026-11-12T09:00:00.000Z"
}
],
"stats": {
"totalCampaigns": 14,
"totalSent": 9820,
"totalDelivered": 9410,
"totalCost": 8838,
"deliveryRate": 96
},
"pagination": {
"page": 1,
"limit": 20,
"total": 14,
"totalPages": 1
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}